Subject: Re: [PATCH v2 4/9] mfd: mt6360: Combine mt6360 pmic/ldo resouces into mt6360 regulator resources

From: Lee Jones <[email-masked]>
Date: Fri, 31 Jul 2020 12:12:29 +0100

On Fri, 31 Jul 2020, Gene Chen wrote:

> Lee Jones <[email-masked]> 於 2020年7月28日 週二 下午2:54寫道：
> >
> > On Tue, 28 Jul 2020, Gene Chen wrote:
> >
> > > Lee Jones <[email-masked]> 於 2020年7月27日 週一 下午7:29寫道：
> > > >
> > > > On Fri, 17 Jul 2020, Gene Chen wrote:
> > > >
> > > > > From: Gene Chen <[email-masked]>
> > > > >
> > > > > Combine mt6360 pmic/ldo resouces into mt6360 regulator resources
> > > > > to simplify the similar resources object.
> > > >
> > > > Do the sub-devices actually share these resources, or are you doing
> > > > this just to make the code simpler?
> > > >
> > >
> > > They are different resources used by different bucks and ldos without
> > > sharing relations.
> > > I just to make the code simpler.
> >
> > I don't think that's sensible.
> >
> > You should only share resources with child devices that consume them.
> >
> 
> At first, I separated regulators into two drivers, mt6360-pmic.c and
> mt6360-ldo.c, according to default-on power or not.
> Then, I merged two drivers into mt6360-regulator.c and merged their
> resources as well.
> Therefore, for every device of BUCK/LDO, I'll find resources according
> to their name and request IRQs.

Okay, so all of the resources are consumed by a single driver?

That is fine then.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel